libcoap 4.3.2rc2

Data Fields
oscore_association_t Struct Reference
Libcoap Internal API » OSCORE Support

`#include <oscore_context.h>`

## Data Fields
UT_hash_handle | hh
oscore_recipient_ctx_t * | recipient_ctx
coap_pdu_t * | sent_pdu
coap_bin_const_t * | token
coap_bin_const_t * | aad
coap_bin_const_t * | nonce
coap_bin_const_t * | partial_iv
coap_tick_t | last_seen
uint8_t | is_observe

## Detailed Description

Definition at line 142 of file oscore_context.h.

## Field Documentation

## ◆ aad

coap_bin_const_t* oscore_association_t::aad

Definition at line 147 of file oscore_context.h.

## ◆ hh

UT_hash_handle oscore_association_t::hh

Definition at line 143 of file oscore_context.h.

## ◆ is_observe

uint8_t oscore_association_t::is_observe

Definition at line 151 of file oscore_context.h.

## ◆ last_seen

coap_tick_t oscore_association_t::last_seen

Definition at line 150 of file oscore_context.h.

## ◆ nonce

coap_bin_const_t* oscore_association_t::nonce

Definition at line 148 of file oscore_context.h.

## ◆ partial_iv

coap_bin_const_t* oscore_association_t::partial_iv

Definition at line 149 of file oscore_context.h.

## ◆ recipient_ctx

oscore_recipient_ctx_t* oscore_association_t::recipient_ctx

Definition at line 144 of file oscore_context.h.

## ◆ sent_pdu

coap_pdu_t* oscore_association_t::sent_pdu

Definition at line 145 of file oscore_context.h.

## ◆ token

coap_bin_const_t* oscore_association_t::token

Definition at line 146 of file oscore_context.h.

The documentation for this struct was generated from the following file:

- oscore_context.h